package com.ruoyi.system.service.house;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.house.HouseResource;
import com.ruoyi.system.domain.house.vo.HouseResourceDetail;
import com.ruoyi.system.domain.house.vo.HouseResourcePage;
import com.ruoyi.system.domain.house.vo.HouseResourcePageQuery;
import com.ruoyi.system.domain.house.vo.HouseResourceSaveUpdateDto;

import java.util.List;

public interface HouseResourceService {

    void saveHouseResource(HouseResourceSaveUpdateDto dto);

    HouseResourceDetail queryHouseResourceById(String id);

    AjaxResult updateHouseResource(HouseResourceSaveUpdateDto dto);

    void deleteHouseResourceById(String id);

    void batchSaveHouseResources(List<HouseResource> houseResources);

    IPage<HouseResourcePage> pageHouseResources(HouseResourcePageQuery query);
}
